Snapshot Pro gives internal server error.

We got an error when making a backup only in our media files. https://static.livechatinc.com/8801096/P31P0VCB96/663b9e46b4a722b8c88e848921ada958/error%20snapshot_(1).png

  • Adam Czajczyk

    Hello Teck Seng,

    I hope you're well today and thank you for your question!

    I have checked the chat and your site and I'd strongly suggest starting with two important changes:

    1. You site's running on WordPress 4.7.9. Current version is 4.9.4 and since 4.7.9 there were tons of bug fixes and security and performance tweak added. It's recommended to update it - as well as out of date plugins.

    2. The PHP that is powering your site is a 5.4.5 release which is very outdated. For running Snapshot it's recommended to use at least 5.6.x version but also for general performance, stability and security I would recommend switching to 7.x version. That's usually easily doable via cPanel, there should be an option to change PHP version. Please update to 7.x or, if this 7.x is not available or not possible to use for some different reasons, at least to 5.6.x.

    After that, please test the Snapshot again and see if it runs fine.

    If it's still not working then, please let me know here and I'll investigate the issue further.

    Kind regards,
    Adam